#import "SFODragDropText.h"
#import <remote/NXProxy.h>


@class TextDiff;


@protocol NetTalkClientText

- (oneway void)applyDifference:(bycopy TextDiff *)diff;

@end


@interface ClientText : SFODragDropText <NXSenderIsInvalid, NetTalkClientText>
{
	BOOL    autoscroll;
	BOOL    stayFirstResponder;
	id      serverText;
}

- setStayFirstResponder:(BOOL)aFlag;
- (int)clickCount;
- setClickCount:(int)count;

- serverText;
- setServerText:aServer;
- serverIsDead;

- (BOOL)doesAutoscroll;
- setAutoscrollFrom:sender;

@end
